Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class EntityManagerFactoryValue

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.ObjectValue
              org.apache.openjpa.lib.conf.PluginValue
                  org.apache.openjpa.persistence.EntityManagerFactoryValue

All Implemented Interfaces:
  Cloneable

    public class EntityManagerFactoryValue

extends PluginValue

Plugin type used to represent the `EntityManagerFactory`.

Since:
  0.4.1

Field Summary
`static String[]` | `ALIASES`
`static String` | `KEY` Configuration property key.

Fields inherited from class org.apache.openjpa.lib.conf.Value
`INVISIBLE`

Constructor Summary
`EntityManagerFactoryValue()`

Method Summary
`static OpenJPAEntityManagerFactory` | `newFactory(BrokerFactory bf)` Create a new factory of the configured type.

Methods inherited from class org.apache.openjpa.lib.conf.PluginValue
`configure, getClassName, getInternalString, getProperties, getString, getValueType, instantiate, isSingleton, objectChanged, set, setClassName, setInternalString, setProperties, setString`

Methods inherited from class org.apache.openjpa.lib.conf.ObjectValue
`configure, get, instantiate, newInstance, set, setInternalObject`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`addEquivalentKey, addListener, alias, alias, assertChangeable, clone, equals, getAliases, getDefault, getEquivalentKeys, getInstantiatingGetter, getListeners, getLoadKey, getOriginalValue, getProperty, getPropertyKeys, getScope, hashCode, hide, isAliasListComprehensive, isDynamic, isHidden, isPrivate, makePrivate, matches, removeListener, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setDynamic, setInstantiatingGetter, setLoadKey, setObject, setProperty, setScope, toString, unalias, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

  Configuration property key.

  See Also:
    Constant Field Values

### ALIASES

    public static final String[] ALIASES

Constructor Detail

### EntityManagerFactoryValue

    public EntityManagerFactoryValue()

Method Detail

### newFactory

    public static OpenJPAEntityManagerFactory newFactory(BrokerFactory bf)

  Create a new factory of the configured type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.